package com.hxhq.business.enums.zykgl;

/**
 * 入库申请状态：1：未申请；3：申请入库
 * @author tanfei
 */
public enum RksqztEnum {

    /**
     * 未申请
     */
    wsq(1, "未申请"),

    /**
     * 申请入库
     */
    sqrk(3, "申请入库");

    private int value;
    private String text;

    RksqztEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static RksqztEnum getEnumByValue(int type) {
        for (RksqztEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
